<?php

class APIController
{
    // private ScriptDatabase $script;
    public function __construct()
    {
        try {
            if (empty($_REQUEST['action'])) {
                $action = NULL;
            } else {
                $action = $_REQUEST['action'];
            }
            $listGateway = array("\\Gateway\\GatewayForm", "\\Gateway\\GatewayKeyword", "\\Gateway\\GatewayQuestion");
            foreach ($listGateway as $gateway) {
                if(method_exists($gateway, $action)) {
                    (new $gateway)->$action();
                }
            }
        } catch (PDOException) {
            return http_response_code(404);
        }
        exit(0);
    }
}
